Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.jama
Class JamaUtil

    java.lang.Object
      org.lsmp.djep.jama.JamaUtil

    public final class JamaUtil

extends java.lang.Object

Utility functions for adding Jama matrix functions. To add these functions to a VectorJep or MatrixJep instance use

     VectorJep j = new VectorJep();
     j.addStandardFunctions();
     ...
     JamaUtil.addStandardFunctions(j);

Author:
  Rich Morris Created on 15-Feb-2005
See Also:
  http://math.nist.gov/javanumerics/jama/

Constructor Summary
`JamaUtil()`

Method Summary
`static void` | `addStandardFunctions(JEP j)`
`static Matrix` | `fromJama(Jama.Matrix A)`
`static Matrix` | `fromJama(Jama.Matrix A, Matrix m)`
`static Jama.Matrix` | `toJama(Matrix m)`
`static Jama.Matrix` | `toJamaCol(MVector m)`
`static Jama.Matrix` | `toJamaRow(MVector m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JamaUtil

    public JamaUtil()

Method Detail

### toJama

    public static Jama.Matrix toJama(Matrix m)
                              throws ParseException

  Throws:
    `ParseException`

### toJamaCol

    public static Jama.Matrix toJamaCol(MVector m)
                                 throws ParseException

  Throws:
    `ParseException`

### toJamaRow

    public static Jama.Matrix toJamaRow(MVector m)
                                 throws ParseException

  Throws:
    `ParseException`

### fromJama

    public static Matrix fromJama(Jama.Matrix A,
                                  Matrix m)

### fromJama

    public static Matrix fromJama(Jama.Matrix A)

### addStandardFunctions

    public static void addStandardFunctions(JEP j)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems